<?php

namespace Skynettechnologies\AllInOneAccessibility\Seeds;

use DB;
use Illuminate\Database\Seeder;

class AIOASettingsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('a_i_o_a_settings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.view',
                'name'      => 'View AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.create',
                'name'      => 'Create AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.edit',
                'name'      => 'Update AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.delete',
                'name'      => 'Delete AIOASettings',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.verify',
                'name'      => 'Verify AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.approve',
                'name'      => 'Approve AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.publish',
                'name'      => 'Publish AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.unpublish',
                'name'      => 'Unpublish AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.cancel',
                'name'      => 'Cancel AIOASettings',
            ],
            [
                'slug'      => 'all_in_one_accessibility.a_i_o_a_settings.archive',
                'name'      => 'Archive AIOASettings',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/all_in_one_accessibility/a_i_o_a_settings',
                'name'        => 'AIOASettings',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/all_in_one_accessibility/a_i_o_a_settings',
                'name'        => 'AIOASettings',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'a_i_o_a_settings',
                'name'        => 'AIOASettings',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'AllInOneAccessibility',
                'module'    => 'AIOASettings',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'all_in_one_accessibility.a_i_o_a_settings.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
