# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/skynettechnologies/all_in_one_accessibility/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/skynettechnologies/all_in_one_accessibility/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Skynettechnologies\\AllInOneAccessibility\\": "packages/skynettechnologies/all_in_one_accessibility/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Skynettechnologies\AllInOneAccessibility\Providers\AllInOneAccessibilityServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'AllInOneAccessibility'  => Skynettechnologies\AllInOneAccessibility\Facades\AllInOneAccessibility::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Skynettechnologies\\AllInOneAccessibilityTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Skynettechnologies\AllInOneAccessibility\Providers\AllInOneAccessibilityServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Skynettechnologies\AllInOneAccessibility\Providers\AllInOneAccessibilityServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Skynettechnologies\AllInOneAccessibility\Providers\AllInOneAccessibilityServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/all_in_one_accessibility/{modulename}

**User**

    http://path-to-route-folder/user/all_in_one_accessibility/{modulename}

**Public**

    http://path-to-route-folder/all_in_one_accessibilities


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/all_in_one_accessibility/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/all_in_one_accessibility/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/all_in_one_accessibility/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/all_in_one_accessibility/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/all_in_one_accessibility/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/all_in_one_accessibility/{modulename}/{slug}
    METHOD: GET