<?php

namespace Skynettechnologies\AllInOneAccessibility\Repositories\Eloquent;

use Skynettechnologies\AllInOneAccessibility\Interfaces\AIOASettingsRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Skynettechnologies\AllInOneAccessibility\Repositories\Eloquent\Presenters\AIOASettingsItemPresenter;


class AIOASettingsRepository extends BaseRepository implements AIOASettingsRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('skynettechnologies.all_in_one_accessibility.a_i_o_a_settings.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('skynettechnologies.all_in_one_accessibility.a_i_o_a_settings.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return AIOASettingsItemPresenter::class;
    }
}
