<?php

namespace Skynettechnologies\AllInOneAccessibility\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Skynettechnologies\AllInOneAccessibility\Models\AIOASettings;

class AIOASettingsAction
{
    /**
     * Perform the complete action.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return AIOASettings
     */
    public function complete(AIOASettings $a_i_o_a_settings)
    {
        try {
            $a_i_o_a_settings->status = 'complete';
            return $a_i_o_a_settings->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return AIOASettings
     */public function verify(AIOASettings $a_i_o_a_settings)
    {
        try {
            $a_i_o_a_settings->status = 'verify';
            return $a_i_o_a_settings->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return AIOASettings
     */public function approve(AIOASettings $a_i_o_a_settings)
    {
        try {
            $a_i_o_a_settings->status = 'approve';
            return $a_i_o_a_settings->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return AIOASettings
     */public function publish(AIOASettings $a_i_o_a_settings)
    {
        try {
            $a_i_o_a_settings->status = 'publish';
            return $a_i_o_a_settings->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return AIOASettings
     */
    public function archive(AIOASettings $a_i_o_a_settings)
    {
        try {
            $a_i_o_a_settings->status = 'archive';
            return $a_i_o_a_settings->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return AIOASettings
     */
    public function unpublish(AIOASettings $a_i_o_a_settings)
    {
        try {
            $a_i_o_a_settings->status = 'unpublish';
            return $a_i_o_a_settings->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
