<?php

namespace Skynettechnologies\AllInOneAccessibility\Workflow;

use Skynettechnologies\AllInOneAccessibility\Models\AIOASettings;
use Skynettechnologies\AllInOneAccessibility\Notifications\AIOASettingsWorkflow as AIOASettingsNotifyer;
use Notification;

class AIOASettingsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return void
     */
    public function complete(AIOASettings $a_i_o_a_settings)
    {
        return Notification::send($a_i_o_a_settings->user, new AIOASettingsNotifyer($a_i_o_a_settings, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return void
     */
    public function verify(AIOASettings $a_i_o_a_settings)
    {
        return Notification::send($a_i_o_a_settings->user, new AIOASettingsNotifyer($a_i_o_a_settings, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return void
     */
    public function approve(AIOASettings $a_i_o_a_settings)
    {
        return Notification::send($a_i_o_a_settings->user, new AIOASettingsNotifyer($a_i_o_a_settings, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return void
     */
    public function publish(AIOASettings $a_i_o_a_settings)
    {
        return Notification::send($a_i_o_a_settings->user, new AIOASettingsNotifyer($a_i_o_a_settings, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return void
     */
    public function archive(AIOASettings $a_i_o_a_settings)
    {
        return Notification::send($a_i_o_a_settings->user, new AIOASettingsNotifyer($a_i_o_a_settings, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param AIOASettings $a_i_o_a_settings
     *
     * @return void
     */
    public function unpublish(AIOASettings $a_i_o_a_settings)
    {
        return Notification::send($a_i_o_a_settings->user, new AIOASettingsNotifyer($a_i_o_a_settings, 'unpublish'));;

    }
}
